Subject: Re: [PATCH] gianfar: ethernet vanishes after restoring from hibernation

From: Claudiu Manoil <[email-masked]>
Date: Fri, 9 Nov 2012 18:02:12 +0200

On 11/9/2012 4:43 PM, Paul Gortmaker wrote:
> From: Wang Dongsheng <[email-masked]>
>
> If a gianfar ethernet device is down prior to hibernating a
> system, it will no longer be present upon system restore.
>
> For example:
>
> 	~# ifconfig eth0 down
> 	~# echo disk > /sys/power/state
>
> 	  <trigger a restore from hibernation>
>
> 	~# ifconfig eth0 up
> 	SIOCSIFFLAGS: No such device
>
> This happens because the restore function bails out early upon
> finding devices that were not up at hibernation.  In doing so,
> it never gets to the netif_device_attach call at the end of
> the restore function.  Adding the netif_device_attach as done
> here also makes the gfar_restore code consistent with what is
> done in the gfar_resume code.
>
> Cc: Claudiu Manoil <[email-masked]>

Hello Paul,

Thought I don't have the proper setup to test the hibernation feature,
I agree with this patch especially now that the description is much
clearer. I fully agree on the consistency argument b/w gfar_restore and
gfar_resume. (good observation)

Acked-by: Claudiu Manoil <[email-masked]>